*{
    box-sizing: border-box;
}

:root{

    /*light mode*/
    --bg-color-light: #f4f7f8;
    --text-color-light: #2c3e50;
    --surface-color-light:#ffffff;
    --border-color-light: #e1e5ea;
    --primary-color: #6a5af9;
    --primary-glow: rgba(106, 90, 249, 0.4);
    --danger-color: #e74c3c;
    --danger-glow: rgba(231, 76, 60, 0.4);

    /*dark mode*/
    --bg-color-dark: #1e2127;
    --text-color-dark:#d1d4db;
    --surface-color-dark: #282c34;
    --border-color-dark:#3a414c;

    /*Universal variables*/
    --bg-color: var(--bg-color-light);
    --border-color: var(--border-color-light);
    --surface-color:var(--surface-color-light);
    --text-color: var(--text-color-light);
    --transtion-speed: 0.3s;
    --shadow: 0 4px 15px rgba(0,0,0,0.08);
}

body.dark-mode{
    --bg-color:var(--bg-color-dark);
    --text-color: var(--text-color-dark);
    --border-color:var(--border-color-dark);
    --surface-color: var(--surface-color-dark);
}

body{
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
    margin: 0;
    padding: 20px;
    background-color: var(--bg-color);
    color: var(--text-color);
    transition: background-color var(--transition-speed), color var(--transition-speed);
   font-family:"Comfortaa", sans-serif;
}

.top-bar{
    display: flex;
    align-items: center;
    gap: 40px;

}

h1{
    font-weight: 600px;
    margin-top: 0;
    margin-bottom: 20px;

}

/*toolbar*/

.tool-bar{
    display: flex;
    gap: 15px;
    justify-content: center;
    align-items: center;
    padding: 0;
    margin-bottom: 20px;
    

}

.tool-group{
    display: flex;
    align-items: center;
    gap: 15px;
    background-color: var(--surface-color);
    padding: 10px 20px;
    box-shadow: var(--shadow);
    border: 1px solid var(--border-color);
    transition: background-color var(--transition-speed), border-color var(--transition-speed);
    border-color: var(--transition-speed);
     border-radius: 20px;
     /**/
    
}

.tool{
    display: flex;
    flex-direction: column;
    gap: 8px;
    align-items: center;
    
    
  /*
   width: 120px;*/
 
   
}

.tool label{
    font-size: 14px;
    font-weight: 600px;
}

input[type="color"]{
    -webkit-appearance: none;
    width: 45px;
    height: 45px;
    border: none;
    padding: 0;
    cursor: pointer;
    background-color: transparent;
    border: 3px solid var(--border-color);
    border-radius: 50%;
    transition: border-color var(--transition-speed), transform  0.2s;
}

input[type="color"]:hover{
    transform: scale(1.1);
}


input[type="color"]::-webkit-color-swatch-wrapper{
    padding: 0;
}

input[type="color"]::-webkit-color-swatch{
    border: none;
    border-radius: 50%;
}

.brush-slider{
    display: flex;
    align-items: center;
    gap: 15px;
}


#brushSizeValue{
    font-weight: 600px;
    font-size: 16px;
    width: 45px;
    height: 45px;
    background-color: var(--bg-color);
    border-radius: 12px;
    display: grid;
    place-items: center;
    border: 1px solid var(--border-color);
    transition: background-color var(--transition-speed), border-color var(--transition-speed);
}


input[type="range"]{
    -webkit-appearance: none;
    appearance: none;
    background: transparent;
    cursor: pointer;
    width: 150px;

}

input[type="range"]::-webkit-slider-runnable-track{
    background: var(--border-color);
    height: 6px;
    border-radius: 3px;
    transition: background-color var(--transition-speed);
}

input[type="range"]::-webkit-slider-thumb{
    -webkit-appearance: none;
    appearance: none;
    width: 20px;
    height: 20px;
    margin-top: -7px;
    border-radius: 50%;
    background: var(--primary-color);
    border: 3px solid var(--surface-color);
    box-shadow: 0 0 10px var(--primary-glow);
    transition: background-color var(--transition-speed);
}

.btn.btn-icon{
    width: 45px;
    height: 45px;
    border-radius: 50%;
    font-size: 18px;
    border: 1px solid var(--border-color);
    background-color: var(--surface-color);
    color: var(--text-color);
    place-items: center;
    transition: all 0.2s;

}

.btn.btn-icon:hover{
    transform: translateY(-2px);
    box-shadow: 0 4px 8px rgba(2,1,1,0.1);
}

#fullScreenBtn:hover, #themeToggle:hover{
    background-color: var(--primary-color);
    color: white;
    box-shadow: 0 0 15px var(--primary-glow);
    cursor: pointer;
}

.btn.btn-icon.btn-danger{
    color: var(--danger-color);
}

.btn.btn-icon.btn-danger:hover{
    background-color: var(--danger-color);
    color: #ffffff;
    box-shadow: 0 0 15px var(--danger-glow);
}

/*Canvas & Fullscreen*/

#drawingCanvas{
    background-color: var(--surface-color);
    cursor: crosshair;
    width: 95vw;
    flex-grow: 1;
    border-radius: 16px;
    box-shadow: var(--shadow);
    transition: background-color var(--transition-speed), box-shadow var(--transition-speed);

}

body:fullscreen{
    overflow: hidden;

}

body:fullscreenh1{
    display: none;

}

body:fullscreen#drawingCanvas{
    width: 100%;
    height: 100%;
    border-radius: 0;
}

body:fullscreen.tool-bar{
    position: fixed;
    top: 50%;
    right: 15px;
    transform: translateY(-50%);
    flex-direction: column;
}

body:fullscreen.tool-group{
    flex-direction: column;
}

body:fullscreen.tool label{
    display: none;
}

body:fullscreeninput[type="range"]{
    transform: rotate(-90deg);
    margin: 5px 0;
    width: 120px;
}

body:fullscreen.brush-slider{
    display: flex;
    flex-direction: column;
    gap: 70px;
}

body:fullscreeninput[type="color"]{
    margin-bottom: 60px;
}


button:disabled{
    opacity: 0.5;
    cursor: not-allowed;
    
}

/*recent colors*/

.recent-colors-container{
    position: fixed;
    bottom: 30px;
    right: 40px;
    border-radius: 12px;
    box-shadow: var(--shadow);
    border: 1px solid var(--border-color);
    transition: background-color var(--transition-speed),
        border-color var(--transition-speed);
    background-color: var(--surface-color);
    padding: 4px;
    display: flex;
    gap: 10px;
}

.recent-color-item{
    width: 30px;
    height: 30px;
    border-radius: 50%;
    cursor: pointer;
    border: 2px solid var(--border-color);
    transition: transform 0.2s, --border-color 0.2;

}


.recent-color-item:hover{
    transform: scale(1.05);
}